import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid, tenantCode) {
  const data = {
    username,
    password,
    code,
    uuid,
    tenantCode
  }
  return request({
    url: '/login',
    method: 'post',
    headers: {
      isToken: false
    },
    data: data
  })
}

// 检查是否需要短信验证
export function checkIsNeedCheck(username, password, code, uuid, tenantCode) {
  const data = {
    username,
    password,
    code,
    uuid,
    tenantCode
  }
  return request({
    url: '/checkIsNeedCheck',
    method: 'post',
    headers: {
      isToken: false
    },
    data: data
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 是否首次登录
export function getFirstLogin() {
  return request({
    url: '/getFirstLogin',
    method: 'get'
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    method: 'get',
    headers: {
      isToken: false
    },
    timeout: 20000
  })
}

export function getWechatQrCode(data) {
  return request({
    url: '/getWechatQrCode',
    method: 'post',
    data: data
  })
}

export function checkWechatScan(ticket) {
  return request({
    url: '/checkWechatScan',
    method: 'get',
    params: { ticket }
  })
}
